Subject: Re: bug#51324: 28.0.50; Should `message-mark-inserted-region' insert a newline before the end tag?

From: Eric Abrahamsen <[email-masked]>
Date: Thu, 21 Oct 2021 16:33:22 -0700

Bodertz <[email-masked]> writes:

> The function `message-mark-inserted-region', bound to {C-c M-m} in
> message-mode, inserts "cut here" text around the region.  By default,
> the end tag is inserted directly after the text in the region, resulting
> in:
>
>     <mark-here-beg-text>
>     text in the region<mark-here-end-text>
>
> The text inserted is customizable by changing the values of either or
> both of `message-mark-insert-beginning' and `message-mark-insert-end',
> so what the defaults are doesn't matter much, but I think it would make
> more sense for the default end tag to include a newline at the
> beginning, or for the function `message-mark-inserted-region' to insert
> a newline before the end tag:
>
>     <mark-here-beg-text>
>     text in the region
>     <mark-here-end-text>
>
> `message-mark-insert-beginning' already includes a newline at the end,
> so I think making `message-mark-insert-end' include a newline at the
> beginning makes sense.  Otherwise, a user will have to insert the
> newline manually every time, since I don't think the anyone ever wants
> to see it without the newline:
>
>     --8<---------------cut here---------------start------------->8---
>     text in the region--8<---------------cut here---------------end--------------->8---
>
>
>
> The same issue applies when using the prefix argument to use so-called
> verbatim marks:
>
>     #v+
>     text in the region#v-
>
> This looks wrong to me, but maybe it isn't.

Skeletons are unfashionable these days, but they provide nice facilities
for these situations: wrapping the region, and adding a newline only if
there isn't one.